<?xml version="1.0" encoding="ISO-8859-1" ?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" 
targetNamespace="http://www.w3schools.com"
xmlns="http://www.w3schools.com"
elementFormDefault="qualified">
<xs:element name="configurator">
 <xs:complexType>
  <xs:sequence>
    <xs:element name="featureEnable" type="xs:boolean"/>   
    <xs:element name="oem">
    <xs:simpleType>
	  		<xs:restriction base="xs:string">
		    	<xs:enumeration value="71244"/>
			    <xs:enumeration value="2561"/>
			    <xs:enumeration value="98761"/>
			</xs:restriction>
		</xs:simpleType>
	</xs:element>
	<xs:element name="logfilesizeinmb" type="xs:decimal"/>
	<xs:element name="logfilelocation" type="xs:string"/>
	<xs:element name="savetype">
		<xs:simpleType>
	  		<xs:restriction base="xs:string">
		    	<xs:enumeration value="TEXT"/>
			    <xs:enumeration value="XML"/>
			    <xs:enumeration value="CONSOLE"/>
			</xs:restriction>
		</xs:simpleType>
	</xs:element>
	<xs:element name="backup">	 
		<xs:complexType>
			<xs:attribute name="type" type="xs:boolean"/>
			<xs:attribute name="location" type="xs:string"/>
		 </xs:complexType>	
	</xs:element>
	<xs:element name="msmobjects">
			 <xs:complexType>
				  <xs:sequence>
				  	<xs:element name="object" maxOccurs="unbounded">				 
				  		<xs:simpleType>
  							<xs:restriction base="xs:string">
  								  <xs:enumeration value="ADAPTER"/>
   								  <xs:enumeration value="BBU"/>
    							  <xs:enumeration value="LD"/>
    							  <xs:enumeration value="CDORM"/>
     							  <xs:enumeration value="ENCLOSURE"/>
								  <xs:enumeration value="PD"/>     							  
								  <xs:enumeration value="TAPE"/>
								  <xs:enumeration value="PROCESSOR"/>
  							</xs:restriction>
						</xs:simpleType>
				  	</xs:element>
				 </xs:sequence>
			 </xs:complexType>
	</xs:element>	
	<xs:element name="module" maxOccurs="unbounded">			 			
				 <xs:complexType>				 
					  <xs:sequence>
					   	<xs:element name="depth" type="xs:positiveInteger"/>
				   		<xs:element name="tracetype" maxOccurs="unbounded">
				   			<xs:simpleType>
  								<xs:restriction base="xs:string">
  								 	 <xs:enumeration value="INFO"/>
   								 	 <xs:enumeration value="ERROR"/>
    							 	 <xs:enumeration value="DEBUG"/>    							 
  								</xs:restriction>
							</xs:simpleType>
				   		</xs:element>
					  </xs:sequence>
				   <xs:attribute name="name"> 	
				   			<xs:simpleType>
  								<xs:restriction base="xs:string">
  								 	 <xs:enumeration value="FRAMEWORK"/>
   								 	 <xs:enumeration value="KERNEL"/>
    							 	 <xs:enumeration value="GUI"/>    							 
    							 	 <xs:enumeration value="STORELIB"/>    	
    							 	 <xs:enumeration value="NETWORK"/>    	
    							 	 <xs:enumeration value="SYSTEM"/>  
    							 	 <xs:enumeration value="AUTHENTICATION"/>
    							 	 <xs:enumeration value="LOG"/>  	
  								</xs:restriction>
							</xs:simpleType>
					</xs:attribute>
				 </xs:complexType>					 					
	</xs:element>  
  </xs:sequence> 	
 </xs:complexType>	 	
</xs:element>
</xs:schema> 
